Welcome

Immersion TouchWare Entertainment

Immersion TouchWare and the Immersion logo are trademarks of Immersion Corporation.

ã Immersion Corporation 2001

801 Fox Lane . San Jose, CA 95131

Phone (408) 467-1900 . Fax (408) 467-1901

Version 0.2 beta Help

December 27, 2001


Overview

Immersion TouchWare Entertainment is an application designed to create tactile sensations based on sound. Use this while playing games, listening to music or simply leave it running in the background while using any Windows program and the sound generated by your computer will be represented with a matching sensation on an Immersion TouchSense device.

This help document contains the following topics:

  • System Requirements
  • Games List
  • Instructions
  • Troubleshooting


System Requirements

Hardware

CPU: varies*
Disk Space: uses 1MB
Mouse: Immersion TouchSense pointing device:
  • Logitech iFeel Mouse
  • Logitech iFeel MouseMan
  • Logitech Wingman Force Feedback Mouse
  • Kensington Orbit3D Trackball
  • Saitek Touch Force Optical
  • Belkin Nostromo N30 Game Mouse
  • HP Force Feedback Web Mouse
Sound Card: must support Direct Sound Capture

Software

DirectX: version 8.0 or higher

* Required processor speed depends on what other games or applications are running. For example, if you are playing a game that requires a Pentium III 400, you will need at least a Pentium III 500 to run that game and Immersion TouchWare Entertainment concurrently or performance may suffer.


Games List

Immersion TouchWare Entertainment adds excitement and presence to a variety of entertainment media. Here are some suggestions for you to try:

Music:

  • Frank Lloyd - Big City
  • Frank Lloyd - You're For Real
  • Kreyol Syndikat - Easy
  • Majek Fashek

PC Games:

  • Quake III Arena
  • Counter Strike
  • Diablo II
  • Max Payne

Web/Online Games:

  • Real Pool (3D)
  • Cyboarder
  • King of the Hill Mini-Golf
  • DJ Fu: Wax Attack
  • Bowling

If you try Immersion TouchWare Entertainment with any of these or other games or music, please let us know what you think!


Instructions

Here are some simple instructions to get Immersion TouchWare Entertainment up and running on your system:

  1. If you are using a mouse other that the Logitech iFeel, quit Immersion Desktop before proceeding.
  2. Start Immersion TouchWare Entertainment by selecting it in the Start menu or by double clicking the program icon.
  3. Start an application (game, mp3 player, etc.).
  4. Adjust the Strength slider to the desired level.
  5. Adjust the Response Level sliders.
  6. Grasp the mouse and feel weapons recoil and bass thump in all your favorite games and music.
  7. To quit the application, close the dialog box.

If you don't feel tactile sensations right away, read the troubleshooting section.


Strength Slider

This slider controls the overall strength of the tactile feedback effects generated by Immersion TouchWare Entertainment. Adjust this slider to the desired strength (all the way down is off).


Response Level Sliders

These sliders control the volume sensitivity of Immersion TouchWare Entertainment. To calibrate your tactile sensations, follow these steps and refer to the illustration below:

  1. Uncheck your "Locked" checkbox so that each slider can be adjusted independently.
  2. Disable all but one of your Response Level sliders and press the "Test" button, or run a game or music file.
  3. Adjust the Response Level slider as necessary until you only feel a sensation during sound peaks and not a constant buzzing. Note that the sliders control the application's sensitivity to sound in 5 frequency ranges. The left-most slider corresponds to bass frequencies and the right-most slider corresponds to high frequencies. Repeat Step 3 for each Response Level slider.
  4. Once each slider is set, enable all 5 sliders and re-check the "Locked" checkbox.
  5. Use the overall "Strength" slider to adjust the tactile sensation strength as you like.

Once each slider is set and Locked is checked, you can adjust them all together with the first slider. This is especially useful if you need to make minor adjustments after changing the computer's volume level.

Helpful Tips:

In most cases you will find a gentle upward slope yields the best tactile sensations (as shown in the illustration above). Exact settings for each slider depend on the frequency composition of the sound you are listening to and your computer's volume levels, so play with the settings until it feels good on your computer.

You may find that different games or musical genres feel better with different settings. While there is no explicit means of saving settings for different applications, you can get similar functionality by using reg files (if you are not familiar with or not comfortable using regedit, please move on to the next tip).When Immersion TouchWare Entertainment exits, the settings are stored in the registry in the "HKEY_CURRENT_USER\Software\Immersion Corporation\TouchWare Entertainment" key and reloaded the next time it starts. To save your settings for a particular game, quit Immersion TouchWare Entertainment and export the above key to a reg file. The next time you want to play that game, simply run the reg file before launching Immersion TouchWare Entertainment and your settings will be restored. Using this technique you can have different settings for each game you play.

If you are listening to music, you may want to lower or even disable one or more of the mid-range sliders. This will help reduce sustained vibrations caused by some vocal or guitar parts.

Many games will allow you to adjust the volume of the background music independently from the effects volume. In these cases, it is beneficial to lower the background music volume and adjust the response levels so that Immersion TouchWare Entertainment will ignore the music but respond to the sound effects of the game.

If you are unable to adjust the sliders so that the tactile effects match the sound, proceed to the Sensations Do Not Match Sound page in the troubleshooting section.


Troubleshooting

Use this as your first resource for finding solutions for many common problems.

What problem are you having?

  • There is sound coming from my speakers but I do not feel any tactile sensations.
  • I feel tactile sensations but they do not match the sound my computer is making.
  • It gives me an error message.
  • My visualization options in WinAmp do not work while Immersion TouchWare Entertainment is running.
  • Immersion TouchWare Desktop stopped working.
  • It keeps crashing.

If your problem is not listed above, feel free to contact us.


No Sensations

There is sound coming from my speakers but I do not feel any tactile sensations

There are several issues that may cause this problem. If none of the solutions below work for you, feel free to contact us.

Make sure your Immersion TouchSense device is connected and all drivers are installed properly. If the mouse works properly with other applications like Immersion Desktop, your problem is not driver related.
Make sure the correct input line is selected in the Record Control app.
  1. Double-click the speaker icon in the system tray or select Volume control from the Start menu.
  2. Open the Options menu then select Properties.
  3. Click the Recording radio button.
  4. A list of input line check boxes will appear. Make sure the line you want to record is checked. Different sound cards have different recording capabilities and different names for the input lines, but all should be fairly self-explanatory. Some common lines are called "MIDI," Wave," "Line-In," and either "What U Hear" or "Stereo Mix." Each of these lines will record only the sound that fits into that category. For example, the "Wave" line corresponds to sound that is played from a .wav or .mp3 file or sound from games that use DirectSound. "What U Hear" and "Stereo Mix" correspond to all sound your computer is making, regardless of the source.
  5. Click OK. The Record Control widow will be displayed with volume levels for each input line you selected in the previous step.
  6. Check the "Select" checkbox for the line to which Immersion TouchWare Entertainment should respond, if it is not checked already.
  7. Adjust this line's volume control to 100%. This will increase the dynamic range of the sound data sent to Immersion TouchWare Entertainment
Adjust the Master Volume and other volume controls. Immersion TouchWare Entertainment will automatically adjust to most volume levels, but if the volume is two low, it may interpret the sound as background hiss and not generate effects. Try increasing the volume to see if this fixes the problem.


Sensations Do Not Match Sound

If none of the solutions below work for you, feel free to contact us.

Make sure the correct input line is selected in the Record Control app.
  1. Double-click the speaker icon in the system tray or select Volume control from the Start menu.
  2. Open the Options menu then select Properties.
  3. Click the Recording radio button.
  4. A list of input line check boxes will appear. Make sure the line you want to record is checked. Different sound cards have different recording capabilities and different names for the input lines, but all should be fairly self-explanatory. Some common lines are called "MIDI," Wave," "Line-In," and either "What U Hear" or "Stereo Mix." Each of these lines will record only the sound that fits into that category. For example, the "Wave" line corresponds to sound that is played from a .wav or .mp3 file or sound from games that use DirectSound. "What U Hear" and "Stereo Mix" correspond to all sound your computer is making, regardless of the source.
  5. Click OK. The Record Control widow will be displayed with volume levels for each input line you selected in the previous step.
  6. Check the "Select" checkbox for the line to which Immersion TouchWare Entertainment should respond, if it is not checked already.
  7. Adjust this line's volume control to 100%. This will increase the dynamic range of the sound data sent to Immersion TouchWare Entertainment
Some games use MIDI for background music and waves for sound effects. If you want to feel the effects but not the music, select the "Wave" input line in step 4 above.
Adjust the Master Volume and other volume controls. Immersion TouchWare Entertainment will automatically adjust to most volume levels, but if the volume is two low, much of the sound may be dismissed as background hiss. Try increasing the volume to see if this fixes the problem.
Immersion TouchWare Entertainment operates as a high priority app. This is because sound samples must be taken regularly and processed immediately in order to generate realistic sensations. If another app you are running is at the same or higher priority, you may experience a constant buzzing caused by infrequent updates of the device. If you are using Windows 2000, you may be able to increase the priority of Immersion TouchWare Entertainment or reduce the priority class of the other high priority app by using the task manager. In many cases no performance problems will arise, but it is recommended that you fully understand how changing an application's priority will affect its execution before performing this step.
In some cases, you may just need to let it run for a few seconds so that it can adjust to the sound level. This is especially true right after turning the volume down significantly.
Try adjusting the Strength and Response Level Sliders.

How closely the sensations match the audio can be rather subjective. If you have suggestions on ways to make the effects better match the sound, please send them to us.


Visualization Options

Visualization Options in WinAmp Do Not Work

Many media players including WinAmp will record the sound that is playing in order to generate spectrum analyzers and other visual representations of the sound. Immersion TouchWare Entertainment also must capture the sound in order to generate effects to match. Most sound cards only allow one application at a time to record sound, so you may not be able to use the visualization options and Immersion TouchWare Entertainment at the same time.

This does not mean that you can't use it with WinAmp. You just need to start Immersion TouchWare Entertainment first so it can acquire the sound capture buffer. WinAmp will still work, but the visualization options may not.


Error Messages

Here is a list of error messages, their causes and possible solutions. If your error message is not listed or if none of the solutions work for you, feel free to contact us.

Could not initialize DirectSound.

or

Error creating sound capture buffer

Immersion TouchWare Entertainment uses Direct Sound Capture (a part of DirectX) to listen to the sound being generated by your computer. If DirectSound cannot be initialized, the app cannot run. Here are some things to check:

  • Make sure your sound card is compatible with DirectX and supports DirectSoundCapture.
  • Make sure you have DirectX 8.0 or higher installed. (can be downloaded from Microsoft)
  • Make sure no other sound capture apps are running. Many sound cards only allow one app at a time to record. Some apps such as WinAmp use the sound card's capture ability to generate visualization options or to apply special effects such as reverb. If you are using one of these apps, you may need to disable these options or start Immersion TouchWare Entertainment first to it can acquire the capture buffer.
Please exit Immersion TouchWare Desktop before proceeding

Many TouchSense devices only allow one application at a time to use background mode. Since both TouchWare Desktop and TouchWare Entertainment must acquire the mouse in background mode to function properly, you should always quit one before running the other.

If you lose sensations in Touchware Desktop, simply exit TouchWare Desktop, unplug the mouse, plug it back in and restart TouchWare Desktop.
Could not find an Immersion TouchSense device Immersion TouchWare Entertainment requires an Immersion TouchSense device, such as the Logitech iFeel Mouse, to be attached to the system. If no such device is attached, tactile sensations cannot be generated, so the app will exit.


TouchWare Desktop

Immersion TouchWare Desktop Stopped Working

Many TouchSense devices only allow one application at a time to use background mode. Since both TouchWare Desktop and TouchWare Entertainment must acquire the mouse in background mode to function properly, you should always quit one before running the other if you have one of the following devices:

  • Logitech Wingman Force Feedback Mouse
  • Kensington Orbit3D Trackball
  • Saitek Touch Force Optical
  • Belkin Nostromo N30 Game Mouse
  • HP Force Feedback Web Mouse

If you lose sensations in either Touchware Desktop or TouchWare Entertainment, simply exit both applications, unplug the mouse, plug it back in and restart the one you wish to use.


It Keeps Crashing

Software that crashes is generally considered a bad thing. If you experience a crash or if you think Immersion TouchWare Entertainment causes a crash in some other application, let us know! Please include as much information as you can about your system specs and what was happening at the time of the crash. This will help us immensely in tracking down the bug.


Contact Information

Please send all comments and bug reports to twe@immersion.com.

If you are a software developer and would like to add custom tactile sensations to your game or application, visit our developer website, where we have all the tools and tutorials you need for just about any environment.